package com.cloudcross.ssp.model;

import java.util.Date;

/**
 * 提现记录表，与数据库表t_operator_balance相对应
 * @author chenyou
 *
 */
public class OperatorBalance {
	//主键
	private Long id;
	//运营商id
	private Long operatorId;
	//时间
	private Date actTime;
	//交易号
	private String num;
	//提取金额
	private Float amount;
	//状态，1-申请中，2-审核不通过，3-已提现
	private Integer state;
	//收入
	private Float income;
	//可提现金额
	private Float balance;
	//
	public Integer impression;
	public Integer click;
	public Float ecpm;
	public Integer getImpression() {
		return impression;
	}
	public void setImpression(Integer impression) {
		this.impression = impression;
	}
	public Integer getClick() {
		return click;
	}
	public void setClick(Integer click) {
		this.click = click;
	}
	public Float getEcpm() {
		return ecpm;
	}
	public void setEcpm(Float ecpm) {
		this.ecpm = ecpm;
	}
	public Float getIncome() {
		return income;
	}
	public void setIncome(Float income) {
		this.income = income;
	}
	public Float getBalance() {
		return balance;
	}
	public void setBalance(Float balance) {
		this.balance = balance;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getOperatorId() {
		return operatorId;
	}
	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}
	public Date getActTime() {
		return actTime;
	}
	public void setActTime(Date actTime) {
		this.actTime = actTime;
	}
	public String getNum() {
		return num;
	}
	public void setNum(String num) {
		this.num = num;
	}
	public Float getAmount() {
		return amount;
	}
	public void setAmount(Float amount) {
		this.amount = amount;
	}
	public Integer getState() {
		return state;
	}
	public void setState(Integer state) {
		this.state = state;
	}
	@Override
	public String toString() {
		return "OperatorBalance [id=" + id + ", operatorId=" + operatorId
				+ ", actTime=" + actTime + ", num=" + num + ", amount="
				+ amount + ", state=" + state + ", income=" + income
				+ ", balance=" + balance + ", impression=" + impression
				+ ", click=" + click + ", ecpm=" + ecpm + "]";
	}
	
	
	
	
}
